Bug 241661 - Rhythmbox crashes immediately after start (FC5)
Rhythmbox crashes immediately after start (FC5)
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Depends On:
Blocks: 241748
  Show dependency treegraph
Reported: 2007-05-29 09:33 EDT by Mikko Huhtala
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-30 10:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bt with glib/gtk (162.22 KB, text/plain)
2007-05-30 06:49 EDT, A S Alam
no flags Details

  None (edit)
Description Mikko Huhtala 2007-05-29 09:33:42 EDT
Description of problem:

Rhythmbox crashes immediately after start on Fedora Core 5

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Start Rhythmbox (FC5 must be up to date)
2. Watch it crash

Additional info:

I realize that FC5 is near its end of life, but it would be nice to leave a
working Rhythmbox in the repositories.
Comment 1 Bastien Nocera 2007-05-29 09:44:06 EDT
I'll need a backtrace of the crash though. See
http://fedoraproject.org/wiki/StackTraces for details on how to gather it.
Comment 2 Bastien Nocera 2007-05-30 06:41:15 EDT
*** Bug 241748 has been marked as a duplicate of this bug. ***
Comment 3 Bastien Nocera 2007-05-30 06:42:33 EDT
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241748#c1 contains a
backtrace but there's no gtk+ or glib debuginfo installed, so the deeper frames
aren't useful for debugging.
Comment 4 A S Alam 2007-05-30 06:49:43 EDT
Created attachment 155668 [details]
bt with glib/gtk
Comment 5 A S Alam 2007-05-30 06:50:17 EDT
bt attached
Comment 6 Mikko Huhtala 2007-05-30 08:41:37 EDT
I'm busy with work but will try to make a backtrace on FC5 as soon as possible.
Comment 7 Mikko Huhtala 2007-05-30 10:31:44 EDT
I realized that when I launch from a terminal I get

RhythmDB-ERROR **: file rhythmdb-tree.c: line 247 (rhythmdb_tree_parser_start_el
ement): should not be reached

when Rhythmbox dies. I then deleted ~/.gnome2/rhythmbox and
~/.gconf/apps/rhythmbox and after that, Rhythmbox started normally. I have been
using the same home directory (on NFS) on a F7 test system and sometimes on FC5,
so the newer Rhythmboxes had apparently written something in the library or in
the config that did not like. Now I can't reproduce the abort if I start
with no music library and no config.

So, this is probably NOTABUG and unrelated to whatever is going on in F8 /
Rhythmbox 0.11.0.
Comment 8 Bastien Nocera 2007-05-30 10:42:59 EDT
Yeah, it doesn't like the libraries from newer versions. Closing then.

Note You need to log in before you can comment on or make changes to this bug.